HP AssetCenter és AssetManager cross-site scripting sérülékenység

CH azonosító

CH-3820

Angol cím

HP AssetCenter / AssetManager Cross-Site Scripting Vulnerability

Felfedezés dátuma

2010.10.19.

Súlyosság

Alacsony

Érintett rendszerek

Asset Manager
AssetCenter
Hewlett Packard (HP)

Érintett verziók

HP AssetCenter 5.x
HP AssetManager 5.x

Összefoglaló

A HP AssetCenter és AssetManager olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak cross-site scripting (XSS) támadások indítására.

Leírás

Bizonyos nem részletezett bemenet nincs megfelelően ellenőrizve mielőtt visszakerül a felhasználóhoz. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének munkamenetében az érintett oldallal kapcsolatosan.

A sérülékenységet a következő termékekben jelentették:

  • AssetCenter 5.0x AC_5.03 és azt megelőző AIX, Linux, Solaris és Windows rendszereken futó verziók.
  • AssetManager 5.1x AM_5.12 és azt megelőző AIX, HP-UX, Linux, Solaris és Windows rendszereken futó verziók.
  • AssetManager 5.2x AM_5.22 és azt megelőző AIX, HP-UX, Linux, Solaris és Windows rendszereken futó verziók.

Megoldás

Telepítse a javítócsomagokat